import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
//列表头部工具栏
import React from 'react';
import { bizCssPrefix } from "../../variables";
import "./index.scss";
var TableHeaderBox = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(TableHeaderBox, _React$Component);
  function TableHeaderBox(props) {
    var _this;
    _this = _React$Component.call(this, props) || this;
    _this._renderChildren = function () {
      var children = _this.props.children;
      return React.Children.map(children, function (child, index) {
        return /*#__PURE__*/React.createElement("div", {
          className: "box-item"
        }, " ", /*#__PURE__*/React.cloneElement(child));
      });
    };
    return _this;
  }
  var _proto = TableHeaderBox.prototype;
  _proto.render = function render() {
    var style = this.props.style;
    return /*#__PURE__*/React.createElement("div", {
      className: bizCssPrefix + '-table-header-box',
      style: style
    }, this._renderChildren());
  };
  return TableHeaderBox;
}(React.Component);
TableHeaderBox.displayName = 'TableHeaderBox';
export default TableHeaderBox;